/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let EXPORTED_SYMBOLS = ["UnMHTAdditionalDialogClass"];

/**
 * 追加ファイルダイアログの本体
 *
 * @param  Window window
 *         対象のウィンドウ
 */
function UnMHTAdditionalDialogClass (window) {
  this.window = window;
}
UnMHTAdditionalDialogClass.prototype = {
  window : null, /* Window  対象のウィンドウ */
  
  param : null,  /* Object  パラメータ
                  *   コールバックが定義されている */
  
  /**
   * 破棄
   */
  destruct : function () {
    this.window = null;
    this.param = null;
  },
  
  /**
   * getElementById の省略
   */
  el : function (id) {
    return this.window.document.getElementById (id);
  },
  
  /**
   * ロードイベント
   */
  onLoad : function () {
    this.param = this.window.arguments [0];
  },
    
  /**
   * アンロードイベント
   */
  onUnload : function () {
  },
  
  /**
   * ダイアログを閉じるイベント
   */
  onAcceptDialog : function () {
    let param = this.param;
    
    let additionalFiles = [];
    let lines = this.el ("files").value.split (/[\r\n]/);
    lines.forEach (function (line) {
        let re = line.match (/^[ \t]*(.+:\/\/[^ \t]+)[ \t]*$/);
        if (re) {
          additionalFiles.push (re [1]);
        }
      });
    
    if ("callback" in param) {
      param.callback (additionalFiles);
    }
        
    return true;
  }
};
