/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://unmht/modules/UnMHTHTMLUtil.jsm");
Cu.import ("resource://unmht/modules/UnMHTScheme.jsm");

let EXPORTED_SYMBOLS = ["UnMHTExtractUtil"];

/**
 * 展開関連ユーティリティ関数
 */
let UnMHTExtractUtil = {
  /**
   * 一意性を確保するためにファイル名を正規化する
   *
   * @param  String original
   *         ファイル名
   * @return String
   *         正規化したファイル名
   */
  normalizeName : function (original) {
    if (!original) {
      return "";
    }
    
    for (let i = 0; i < 10; i ++) {
      let last = original;
      original = UnMHTHTMLUtil.unescapeEntity (unescape (original));
      if (last == original) {
        break;
      }
    }
        
    return original;
  }
};
