/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://unmht/modules/UnMHTPref.jsm");

let EXPORTED_SYMBOLS = ["UnMHTMaxRunTime"];

/**
 * スクリプト実行管理
 */
let UnMHTMaxRunTime = {
  defaultTime : -2, /* Number  設定前の値
                     *   -2: 未取得
                     *   -1: 設定値は無い 
                     *   他: 設定前の値 */
  
  /**
   * 展開時のスクリプトの実行時間を設定する
   */
  setExtractTime : function  () {
    this.setTime ("open.");
  },
  
  /**
   * 保存時のスクリプトの実行時間を設定する
   */
  setSaveTime : function () {
    this.setTime ("save.");
  },

  /**
   * スクリプトの実行時間を設定する
   *
   * @param  String type
   *         対象の設定
   */
  setTime : function (type) {
    if (!UnMHTPref.getPref (type + "max_run_time")) {
      return;
    }
    
    let name = "dom.max_chrome_script_run_time";
    
    if (this.defaultTime == -2) {
      if (UnMHTPref.prefBranch.prefHasUserValue (name)) {
        this.defaultTime = UnMHTPref.prefBranch.getIntPref (name);
      }
      else {
        this.defaultTime = -1;
      }
    }
    
    UnMHTPref.prefBranch.setIntPref
    (name, UnMHTPref.getPref (type + "max_run_time.time"));
  },
  
  /**
   * スクリプトの実行時間を元に戻す
   */
  restoreTime : function () {
    if (this.defaultTime == -2) {
      return;
    }
    
    let name = "dom.max_chrome_script_run_time";
    if (this.defaultTime == -1) {
      UnMHTPref.prefBranch.clearUserPref (name);
    }
    else {
      UnMHTPref.prefBranch.setIntPref (name,this.defaultTime);
    }
  }
};
