/* -*- Mode: Java; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
"use strict";

let Ci = Components.interfaces;
let Cc = Components.classes;
let Cr = Components.results;
let Cu = Components.utils;
Cu.import ("resource://unmht/modules/UnMHTShutdown.jsm");

let EXPORTED_SYMBOLS = ["UnMHTStringBundle"];

/**
 * StringBundle 管理
 */
let UnMHTStringBundle = {
  /* nsIStringBundleService  StringBundle */
  bundle : Cc ["@mozilla.org/intl/stringbundle;1"]
    .getService (Ci.nsIStringBundleService)
    .createBundle ("chrome://unmht/locale/unmht.properties"),
  
  /**
   * StringBundle から文字列を取得する
   *
   * @param  String name
   *         取得する文字列の名前
   * @return String
   *         StringBundle の文字列
   */
  get : function (name) {
    return this.bundle.GetStringFromName (name);
  },
  
  /**
   * キャッシュをクリアする
   */
  flushBundle : function () {
    var stringBundleService
    = Cc ["@mozilla.org/intl/stringbundle;1"]
    .getService (Ci.nsIStringBundleService);
    stringBundleService.flushBundles ();
  }
};
UnMHTShutdown.addListener (function (data, reason) {
    UnMHTStringBundle.flushBundle ();
  });
